JSON for Modern C++ 3.7.3

Public Types | Public Member Functions | List of all members
nlohmann::byte_container_with_subtype< BinaryType > Class Template Reference

an internal type for a backed binary type More...

`#include <json.hpp>`

## Public Types
using | container_type = BinaryType
| the type of the underlying container More...

## Public Member Functions
| byte_container_with_subtype () noexcept(noexcept(container_type()))
| byte_container_with_subtype (const container_type &b) noexcept(noexcept(container_type(b)))
| byte_container_with_subtype (const container_type &b, std::uint8_t subtype) noexcept(noexcept(container_type(b)))
| byte_container_with_subtype (container_type &&b) noexcept(noexcept(container_type(std::move(b))))
| byte_container_with_subtype (container_type &&b, std::uint8_t subtype) noexcept(noexcept(container_type(std::move(b))))
void | clear_subtype () noexcept
| clears the binary subtype More...
constexpr bool | has_subtype () const noexcept
| return whether the value has a subtype More...
bool | operator!= (const byte_container_with_subtype &rhs) const
bool | operator== (const byte_container_with_subtype &rhs) const
void | set_subtype (std::uint8_t subtype) noexcept
| sets the binary subtype More...
constexpr std::uint8_t | subtype () const noexcept
| return the binary subtype More...

## Detailed Description

### template<typename BinaryType>
class nlohmann::byte_container_with_subtype< BinaryType >

This type extends the template parameter BinaryType provided to `basic_json` with a subtype used by BSON and MessagePack. This type exists so that the user does not have to specify a type themselves with a specific naming scheme in order to override the binary type.

Template Parameters

  BinaryType | container to store bytes (`std::vector<std::uint8_t>` by default)

Since
  version 3.8.0

Definition at line 4250 of file json.hpp.